Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic
Class PlasticXPSpinnerUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SpinnerUI
              javax.swing.plaf.basic.BasicSpinnerUI
                  com.jgoodies.looks.plastic.PlasticSpinnerUI
                      com.jgoodies.looks.plastic.PlasticXPSpinnerUI

    public final class PlasticXPSpinnerUI

extends PlasticSpinnerUI

The JGoodies PlasticXP Look&Feel implementation of `SpinnerUI`. Configures the default editor to adjust font baselines and component bounds. Also, changes the border of the buttons and the size of the arrows.

Version:
  $Revision: 1.4 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSpinnerUI
`spinner`

Constructor Summary
`PlasticXPSpinnerUI()`

Method Summary
`protected Component` | `createNextButton()` Create a component that will replace the spinner models value with the object returned by `spinner.getNextValue`.
`protected Component` | `createPreviousButton()` Create a component that will replace the spinner models value with the object returned by `spinner.getPreviousValue`.
`static ComponentUI` | `createUI(JComponent b)`

Methods inherited from class com.jgoodies.looks.plastic.PlasticSpinnerUI
`createEditor, createLayout, replaceEditor`

Methods inherited from class javax.swing.plaf.basic.BasicSpinnerUI
`createPropertyChangeListener, getBaseline, getBaselineResizeBehavior, installDefaults, installKeyboardActions, installListeners, installNextButtonListeners, installPreviousButtonListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlasticXPSpinnerUI

    public PlasticXPSpinnerUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### createPreviousButton

    protected Component createPreviousButton()

  Create a component that will replace the spinner models value with the object returned by `spinner.getPreviousValue`. By default the `previousButton` is a JButton who's `ActionListener` updates it's `JSpinner` ancestors model. If a previousButton isn't needed (in a subclass) then override this method to return null.

  Overrides:
    `createPreviousButton` in class `PlasticSpinnerUI`
  Returns:
    a component that will replace the spinners model with the next value in the sequence, or null
  See Also:
    `BasicSpinnerUI.installUI(javax.swing.JComponent)`, `createNextButton()`

### createNextButton

    protected Component createNextButton()

  Create a component that will replace the spinner models value with the object returned by `spinner.getNextValue`. By default the `nextButton` is a JButton who's `ActionListener` updates it's `JSpinner` ancestors model. If a nextButton isn't needed (in a subclass) then override this method to return null.

  Overrides:
    `createNextButton` in class `PlasticSpinnerUI`
  Returns:
    a component that will replace the spinners model with the next value in the sequence, or null
  See Also:
    `BasicSpinnerUI.installUI(javax.swing.JComponent)`, `createPreviousButton()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 JGoodies Karsten Lentzsch. All Rights Reserved.